Bug 994506 - [abrt] system-config-printer-1.4.1-8.fc19: types.py:113:function:TypeError: Argument 0 does not allow None as a value
[abrt] system-config-printer-1.4.1-8.fc19: types.py:113:function:TypeError: A...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
abrt_hash:91480aa16c5bdea5ba59efb076b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-07 08:18 EDT by Paulius Zaleckas
Modified: 2013-08-25 18:56 EDT (History)
2 users (show)

See Also:
Fixed In Version: system-config-printer-1.4.2-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-25 18:56:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.35 KB, text/plain)
2013-08-07 08:18 EDT, Paulius Zaleckas
no flags Details
File: dso_list (82 bytes, text/plain)
2013-08-07 08:18 EDT, Paulius Zaleckas
no flags Details
File: environ (1.62 KB, text/plain)
2013-08-07 08:18 EDT, Paulius Zaleckas
no flags Details

  None (edit)
Description Paulius Zaleckas 2013-08-07 08:18:18 EDT
Description of problem:
Tried to open HP network printer properties.

Version-Release number of selected component:
system-config-printer-1.4.1-8.fc19

Additional info:
reporter:       libreport-2.1.6
cmdline:        /usr/bin/python /usr/share/system-config-printer/system-config-printer.py
executable:     /usr/share/system-config-printer/system-config-printer.py
kernel:         3.9.8-300.fc19.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
types.py:113:function:TypeError: Argument 0 does not allow None as a value

Traceback (most recent call last):
  File "/usr/share/system-config-printer/system-config-printer.py", line 1676, in on_edit_activate
    self.dests_iconview_item_activated (self.dests_iconview, paths[0])
  File "/usr/share/system-config-printer/system-config-printer.py", line 510, in dests_iconview_item_activated
    parent=self.PrintersWindow)
  File "/usr/share/system-config-printer/printerproperties.py", line 577, in show
    self.load (name, host=host, encryption=encryption, parent=parent)
  File "/usr/share/system-config-printer/printerproperties.py", line 1479, in load
    self.updateMarkerLevels()
  File "/usr/share/system-config-printer/printerproperties.py", line 1582, in updateMarkerLevels
    inklevel = gtkinklevel.GtkInkLevel (color, level)
  File "/usr/share/system-config-printer/gtkinklevel.py", line 30, in __init__
    self._color = Gdk.color_parse (color)
  File "/usr/lib64/python2.7/site-packages/gi/overrides/__init__.py", line 99, in wrapped
    ret = method(*args, **kwargs)
  File "/usr/lib64/python2.7/site-packages/gi/types.py", line 113, in function
    return info.invoke(*args, **kwargs)
TypeError: Argument 0 does not allow None as a value

Local variables in innermost frame:
info: <gi.FunctionInfo object (color_parse) at 0x0x1121bd8>
args: (None,)
kwargs: {}
Comment 1 Paulius Zaleckas 2013-08-07 08:18:23 EDT
Created attachment 783876 [details]
File: backtrace
Comment 2 Paulius Zaleckas 2013-08-07 08:18:27 EDT
Created attachment 783877 [details]
File: dso_list
Comment 3 Paulius Zaleckas 2013-08-07 08:18:31 EDT
Created attachment 783878 [details]
File: environ
Comment 4 Tim Waugh 2013-08-07 10:07:59 EDT
Fixed upstream in commit 19528e6.
Comment 5 Fedora Update System 2013-08-21 12:22:56 EDT
system-config-printer-1.4.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/system-config-printer-1.4.2-1.fc19
Comment 6 Fedora Update System 2013-08-22 20:45:28 EDT
Package system-config-printer-1.4.2-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-printer-1.4.2-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15201/system-config-printer-1.4.2-1.fc19
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-08-25 18:56:39 EDT
system-config-printer-1.4.2-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.